Package com.avaya.clientservices.messaging

## Class MessagingConfiguration

- java.lang.Object
- - com.avaya.clientservices.messaging.MessagingConfiguration

-     public class MessagingConfiguration
      extends java.lang.Object

  User configuration information for the messaging service. This class provides configuration and preference data for the messaging service features.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MessagingConfiguration()` | A default constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getInitialReconnectInterval()` |
    `int` | `getMaxReconnectInterval()` |
    `boolean` | `isMessageDeliveryReadStateMonitoringEnabled()` | A Boolean value indicating whether message delivery and read updates should be tracked or not.
    `boolean` | `isMessageReadReportingEnabled()` | A Boolean value indicating whether the application wants to report 'message read' indication to other conversation participants.
    `void` | `setInitialReconnectInterval​(int initialReconnectInterval)` | Set the initial reconnection attempt interval that is used to calculate the When connections fail, they are retried at a random interval somewhere between 50% and 100% of the interval specified here.
    `void` | `setMaxReconnectInterval​(int maxReconnectInterval)` | Set the max reconnection attempt interval.
    `void` | `setMessageDeliveryReadStateMonitoringEnabled​(boolean enabled)` | Set the Boolean value indicating whether message delivery and read updates should be tracked or not.
    `void` | `setMessageReadReportingEnabled​(boolean enabled)` | Set the Boolean value indicating whether the application wants to report 'message read' indication to other conversation participants, i.e.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MessagingConfiguration

          public MessagingConfiguration()

      A default constructor.

  - ### Method Detail

    - #### setInitialReconnectInterval

          public void setInitialReconnectInterval​(int initialReconnectInterval)

      Set the initial reconnection attempt interval that is used to calculate the When connections fail, they are retried at a random interval somewhere between 50% and 100% of the interval specified here. The default is 2 seconds. For every subsequent failure, the initial interval is doubled until the maximum value is reached (see `setMaxReconnectInterval(int)`).
      Parameters:
        `initialReconnectInterval` - The nominal interval to wait (in seconds) before the first reconnection attempt. 0 disables automatic reconnection attempts. Values less than 0 or greater than 65535 are ignored.

    - #### getInitialReconnectInterval

          public int getInitialReconnectInterval()

    - #### setMaxReconnectInterval

          public void setMaxReconnectInterval​(int maxReconnectInterval)

      Set the max reconnection attempt interval. Set the upper bound for the reconnection attempt interval algorithm. The default is 1800 seconds.
      Parameters:
        `maxReconnectInterval` - The maximum delay interval between automatic reconnection attempts. Values less than 0 or greater than 65535 are ignored.

    - #### getMaxReconnectInterval

          public int getMaxReconnectInterval()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### isMessageDeliveryReadStateMonitoringEnabled

          public boolean isMessageDeliveryReadStateMonitoringEnabled()

      A Boolean value indicating whether message delivery and read updates should be tracked or not. By default, delivery/read states are not monitored.
      Returns:
        true if monitoring is enabled, otherwise false.

    - #### setMessageDeliveryReadStateMonitoringEnabled

          public void setMessageDeliveryReadStateMonitoringEnabled​(boolean enabled)

      Set the Boolean value indicating whether message delivery and read updates should be tracked or not.
      Parameters:
        `enabled` - true if monitoring is enabled, otherwise false.

    - #### isMessageReadReportingEnabled

          public boolean isMessageReadReportingEnabled()

      A Boolean value indicating whether the application wants to report 'message read' indication to other conversation participants. Message read reports are enabled by default.
      Returns:
        true if reporting read receipt is enabled, otherwise false.

    - #### setMessageReadReportingEnabled

          public void setMessageReadReportingEnabled​(boolean enabled)

      Set the Boolean value indicating whether the application wants to report 'message read' indication to other conversation participants, i.e. let other conversation participants know when I mark a message as read. When enabled, other conversation participants are able to know when/if I have marked a message as read.
      Parameters:
        `enabled` - if reporting read receipt is enabled, otherwise false.